<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>ff2n</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">&lt;&lt; Regression tools (regtools)</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="fullfact.html">fullfact &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">Regression tools (regtools)</a> &gt;&gt; <a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a> &gt; ff2n</span>

    <br /><br />
    <div class="info"></div>

  <div class="refnamediv"><h1 class="refname">ff2n</h1><p class="refpurpose">Defines a two level full factorial design with n factors</p></div>



<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre><span class="default">dFF2</span><span class="default"> = </span><span class="functionid">ff2n</span><span class="default">(</span><span class="default">n</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">n:</span>
      <dd><p class="para">number of factors</p></dd></dt>
   <dt><span class="term">Design:</span>
      <dd><p class="para">two level full factorial design for n factors</p></dd></dt>
   <dt><span class="term">Flag:</span>
      <dd><p class="para">optional Flag=%T (default) will use [-1 1] or [-1 0 1] as levels (otherwise [1 2] is used).</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Returns a two level full factorial design matrix.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">dFF2</span> <span class="scilaboperator">=</span> <span class="scilabid">ff2n</span><span class="scilabopenclose">(</span><span class="scilabnumber">3</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// 2^3 full factorial design</span>
<span class="scilabid">dFF2alt</span> <span class="scilaboperator">=</span> <span class="scilabid">ff2n</span><span class="scilabopenclose">(</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabconstants">%f</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// 2^3 full factorial design with [1 2] as level indicators</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="fullfact.html" class="link">fullfact</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">T. Pettersen, top@tpett.com</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">http://www.statsoft.com/textbook/experimental-design</p></div>


    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">&lt;&lt; Regression tools (regtools)</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f29eb84a4bb31f3135768cacf4cf6c59.html">Regression tools (regtools)</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="fullfact.html">fullfact &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
